> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe a webhook

> Subscribe an HTTPS endpoint to supported Presenton events.

[Read the async and webhooks guide](/user-guide/api-and-automation/async-and-webhooks).



## OpenAPI

````yaml /archive/v0.9.0-beta/openapi/cloud.json post /api/v3/webhook/subscribe
openapi: 3.1.0
info:
  title: Presenton Cloud API
  version: v0.9.0-beta
  description: Supported public API for managed Presenton Cloud integrations.
servers:
  - url: https://api.presenton.ai
    description: Presenton Cloud
security: []
tags:
  - name: Presentations
    description: Generate and manage presentations.
  - name: Files and media
    description: Upload source files and images.
  - name: Templates and design
    description: Select reusable presentation designs.
  - name: Async and webhooks
    description: Monitor background work and receive events.
paths:
  /api/v3/webhook/subscribe:
    post:
      tags:
        - V3 Webhook
      summary: Subscribe a webhook
      description: >-
        Subscribe an HTTPS endpoint to supported Presenton events.


        [Read the async and webhooks
        guide](/user-guide/api-and-automation/async-and-webhooks).
      operationId: subscribe_to_webhook_v1_api_v3_webhook_subscribe_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscribeToWebhookRequestV1'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscribeToWebhookResponseV1'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - BearerAuth: []
      externalDocs:
        description: Read the async and webhooks guide
        url: /user-guide/api-and-automation/async-and-webhooks
components:
  schemas:
    SubscribeToWebhookRequestV1:
      properties:
        url:
          type: string
          title: Url
          description: The URL to send the webhook to
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
          description: The secret to use for the webhook
        event:
          $ref: '#/components/schemas/WebhookEvent'
          description: The event to subscribe to
      type: object
      required:
        - url
        - event
      title: SubscribeToWebhookRequestV1
    SubscribeToWebhookResponseV1:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        event:
          $ref: '#/components/schemas/WebhookEvent'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - url
        - event
        - created_at
      title: SubscribeToWebhookResponseV1
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookEvent:
      type: string
      enum:
        - presentation.generation.completed
        - presentation.generation.failed
      title: WebhookEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  responses:
    Unauthorized:
      description: Authentication is missing or invalid.
    ServerError:
      description: Presenton or one of its configured dependencies failed.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Presenton API token

````